summaryrefslogtreecommitdiffstats
path: root/development/facile
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@liwjatan.at>2010-05-11 22:53:30 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 22:53:30 +0200
commit052465253fcaec354c0ebaafddf711e6109d7d8c (patch)
tree4f7732bf8dbba1a4fc4c813ecdaac7573761a7af /development/facile
parent323b711aaab998d7c49154242d50a153541cc993 (diff)
downloadslackbuilds-052465253fcaec354c0ebaafddf711e6109d7d8c.tar.gz
slackbuilds-052465253fcaec354c0ebaafddf711e6109d7d8c.tar.xz
development/facile: Added to 12.1 repository
Diffstat (limited to 'development/facile')
-rw-r--r--development/facile/README3
-rw-r--r--development/facile/facile.SlackBuild74
-rw-r--r--development/facile/facile.info8
-rw-r--r--development/facile/slack-desc19
4 files changed, 104 insertions, 0 deletions
diff --git a/development/facile/README b/development/facile/README
new file mode 100644
index 0000000000..a5e7b2b2bb
--- /dev/null
+++ b/development/facile/README
@@ -0,0 +1,3 @@
+FaCiLe is a Functional Constraint Library implemented in Objective Caml.
+
+facile requires ocaml, also available from SlackBuilds.org \ No newline at end of file
diff --git a/development/facile/facile.SlackBuild b/development/facile/facile.SlackBuild
new file mode 100644
index 0000000000..ce3973ef6e
--- /dev/null
+++ b/development/facile/facile.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Slackware build script for facile
+
+# Copyright 2008 Heinz Wiesinger <pprkut@liwjatan.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=facile
+VERSION=1.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+mkdir -p $PKG/usr/lib/ocaml/facile
+
+./configure \
+ --faciledir $PKG/usr/lib/ocaml/facile
+
+make
+make install
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/facile/facile.info b/development/facile/facile.info
new file mode 100644
index 0000000000..c0e5ffb900
--- /dev/null
+++ b/development/facile/facile.info
@@ -0,0 +1,8 @@
+PRGNAM="facile"
+VERSION="1.1"
+HOMEPAGE="http://www.recherche.enac.fr/opti/facile/"
+DOWNLOAD="http://www.recherche.enac.fr/opti/facile/distrib/facile-1.1.tar.gz"
+MD5SUM="ab673e1fc0859a42bcb639a02c2d7e9e"
+MAINTAINER="ppr:kut"
+EMAIL="pprkut@liwjatan.at"
+APPROVED="Michiel" \ No newline at end of file
diff --git a/development/facile/slack-desc b/development/facile/slack-desc
new file mode 100644
index 0000000000..377c7f6852
--- /dev/null
+++ b/development/facile/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+facile: facile (Functional Constraint Library)
+facile:
+facile: FaCiLe is a Functional Constraint Library implemented in Objective
+facile: Caml.
+facile:
+facile: Homepage: http://www.recherche.enac.fr/opti/facile/
+facile:
+facile:
+facile:
+facile:
+facile: